Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.operator
Class SVMforDataMining

    java.lang.Object
      edu.udo.cs.miningmart.operator.ExecutableOperator
          edu.udo.cs.miningmart.operator.FeatureConstruction
              edu.udo.cs.miningmart.operator.SVMforDataMining

Direct Known Subclasses:
  SupportVectorMachineForClassification, SupportVectorMachineForRegression

    public abstract class SVMforDataMining

extends FeatureConstruction

Abstract superclass for the two operators `SupportVectorMachineForClassification` and `SupportVectorMachineForRegression`

Version:
  $Id: SVMforDataMining.java,v 1.5 2006/09/27 14:59:57 euler Exp $
Author:
  Timm Euler

Constructor Summary
`SVMforDataMining()`

Method Summary
`protected abstract SVM_Wrapper` | `constructWrapper(boolean useDB_SVM)` Abstract method to be implemented by subclasses.
`java.lang.String` | `generateSQL(Column columnToFill)` Generates a sql-function to describe a new column.
`java.lang.String` | `getC()` Gets the c.
`protected java.lang.String` | `getDatabaseSchema()`
`java.lang.String` | `getEpsilon()` Gets the epsilon.
`java.lang.String` | `getKernelType()` Gets the kernelType.
`BaseAttribute` | `getKey()` Gets the parameter 'TheKey'.
`java.lang.String` | `getLossFunctionNeg()` Gets the lossFunctionNeg.
`java.lang.String` | `getLossFunctionPos()` Gets the lossFunctionPos.
`protected java.lang.String` | `getPrefixForDatabaseObjects()`
`long` | `getSampleSize()` Gets the sampleSize.
`BaseAttribute[]` | `getThePredictingAttributes()` Gets the thePredictingAttributes.
`boolean` | `getUseDatabaseSVM()`

Methods inherited from class edu.udo.cs.miningmart.operator.FeatureConstruction
`compileStatement, createStatement, execute, generateColumnForOp, getCurrentLoopNumber, getTheInputConcept, getTheOutputAttribute, getTheOutputAttribute, getTheTargetAttribute, getTheTargetAttribute, load, writeResults`

Methods inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`autoPrint, checkConditions, doPrint, doPrint, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getArtificalColumnName, getBusinessDbms, getHighestLoopNr, getM4Db, getM4Dbms, getM4ObjectFromCache, getName, getNextM4SequenceValue, getNumberOfLoops, getOperator, getOpParamsIterator, getParameter, getParameter, getParameterObjectsOfAllLoops, getSingleParameter, getSingleParameter, getStep, giveWarningForChangedInputData, handleAssertions, isDeselectedParameter, isLoopable, isManual, isStepable, print, putM4ObjectToCache, showCreateStatement, storedProceduresAvailable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVMforDataMining

    public SVMforDataMining()

Method Detail

### constructWrapper

    protected abstract SVM_Wrapper constructWrapper(boolean useDB_SVM)
                                             throws M4CompilerError

  Abstract method to be implemented by subclasses. Serves to call the adequate SVM wrapper constructors.

  Parameters:
    `useDB_SVM` - True iff the SVM implementation inside the database is to be used.
  Throws:
    `M4CompilerError`

### generateSQL

    public java.lang.String generateSQL(Column columnToFill)
                                 throws M4CompilerError

  Generates a sql-function to describe a new column. This method generates a sql-function to describe a new column. The function is generated by an external learning operator. The external wrapper is called in function 'callStatement'. Afterwards the function call to use it is generated.

  Specified by:
    `generateSQL` in class `FeatureConstruction`
  Parameters:
    `columnToFill` - The Column to which this FeatureConstruction Operator is applied. Some subclasses may ignore this parameter.
  Returns:
    the SQL-function call
  Throws:
    `M4CompilerError` - A simple exception object with an error message.

### getPrefixForDatabaseObjects

    protected java.lang.String getPrefixForDatabaseObjects()
                                                    throws M4CompilerError

  Throws:
    `M4CompilerError`

### getDatabaseSchema

    protected java.lang.String getDatabaseSchema()
                                          throws M4CompilerError

  Throws:
    `M4CompilerError`

### getC

    public java.lang.String getC()
                          throws M4CompilerError

  Gets the c.

  Returns:
    the SVM parameter C as a String
  Throws:
    `M4CompilerError`

### getKey

    public BaseAttribute getKey()
                         throws M4CompilerError

  Gets the parameter 'TheKey'.

  Returns:
    Returns a BaseAttribute
  Throws:
    `M4CompilerError`

### getEpsilon

    public java.lang.String getEpsilon()
                                throws M4CompilerError

  Gets the epsilon.

  Returns:
    the SVM parameter epsilon as a String
  Throws:
    `M4CompilerError`

### getKernelType

    public java.lang.String getKernelType()
                                   throws M4CompilerError

  Gets the kernelType.

  Returns:
    Returns the kernel type parameter as a string
  Throws:
    `M4CompilerError`

### getLossFunctionNeg

    public java.lang.String getLossFunctionNeg()
                                        throws M4CompilerError

  Gets the lossFunctionNeg.

  Returns:
    Returns a String
  Throws:
    `M4CompilerError`

### getLossFunctionPos

    public java.lang.String getLossFunctionPos()
                                        throws M4CompilerError

  Gets the lossFunctionPos.

  Returns:
    Returns a String
  Throws:
    `M4CompilerError`

### getSampleSize

    public long getSampleSize()
                       throws M4CompilerError

  Gets the sampleSize.

  Returns:
    -1 if the parameter was not specified; otherwise the sample size as a `long`
  Throws:
    `M4CompilerError`

### getThePredictingAttributes

    public BaseAttribute[] getThePredictingAttributes()
                                               throws M4CompilerError

  Gets the thePredictingAttributes.

  Returns:
    Returns a BaseAttribute
  Throws:
    `M4CompilerError`

### getUseDatabaseSVM

    public boolean getUseDatabaseSVM()
                              throws M4CompilerError

  Throws:
    `M4CompilerError`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005